<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0" > 
<xsl:output method="text" />


<!-- the template that processes single TR -->
<xsl:template name = "TRtempl"> 
	<xsl:for-each select = "./TD" >
		<xsl:variable name="pos" select="position()"/>
		<xsl:choose>
		<xsl:when test="$pos=1">
			<xsl:value-of select="normalize-space(.)"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>,</xsl:text><xsl:value-of select="normalize-space(.)"/>
		</xsl:otherwise>
	</xsl:choose>
	</xsl:for-each> 
	<xsl:text>&#x0a;</xsl:text>
</xsl:template> 


<xsl:template match = "/" > 

<xsl:for-each select="/doc/ReportHeader/TR">
	<xsl:call-template name="TRtempl"/>
</xsl:for-each>

<xsl:for-each select="/doc/ColumnHeader/TR">
	<xsl:call-template name="TRtempl"/>
</xsl:for-each>

<xsl:for-each select="/doc/Data/TR">
	<xsl:call-template name="TRtempl"/>
</xsl:for-each>

<xsl:for-each select="/doc/ReportFooter/TR">
	<xsl:call-template name="TRtempl"/>
</xsl:for-each>

</xsl:template> 

</xsl:stylesheet> 